package com.icomsys.main_vm.biz.rcp.learningTest;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum SttCode {
    SUCCESS(200, "SUCCESS", "성공"),
    FAIL_OPEN(400, "ASR_SVC_OPEN ERROR","STT 연결에 실패하였습니다."),
    FAIL_AUTH(401, "ASR_SVC_AUTH ERROR","STT 권한설정 실패하였습니다."),
    FAIL_SET_TRANS(402, "ASR_SVC_SET_TRANS ERROR","STT 트랜젝션 설정에 실패하였습니다."),
    FAIL_SET_SOCKTIME(403, "ASR_SVC_SET_SOCKTIME ERROR","STT 소켓 타임에 실패하였습니다."),
    FAIL_RECG_OPEN(404, "ASR_SVC_RECG_OPEN ERROR","STT RECG 연결에 실패하였습니다."),
    FAIL_RECG_LIST_VIEW(405, "ASR_SVC_RECG_LIST_VIEW ERROR","STT_LIST_VIEW 실패하였습니다."),
    FAIL_RECG_SET_LIST(406, "ASR_SVC_RECG_SET_LIST ERROR","STT_LIST 설정에 실패하였습니다."),
    FAIL_RECG_SET_EPD_TIMEOUT(407, "ASR_SVC_RECG_SET_EPD_TIMEOUT ERROR","STT EPD TIMEOUT 설정에 실패하였습니다."),
    FAIL_RECG_SET_EPD_MARGIN(408, "ASR_SVC_RECG_SET_EPD_MARGIN ERROR","STT EPD MARGIN 설정에 실패하였습니다."),
    FAIL_EPD_NOT_FOUND(409, "ASR_SVC_EPD_NOT_FOUND ERROR","STT 인식결과 EPD를 찾지 못하였습니다.");




    private int resultCode;
    private String errorCode;
    private String resultMessage;
}
